class DATARequest:
    def __init__(self):
        self.dsID = 'www.hc-system.com.RemoteMonitor"'
        self.reqType = 'query'
        self.queryAddr = []



class DataAddress:
    def __init__(self):
        self.version = ''
        self.curMold = ''
        self.counterList = ''
        self.counter_n = ''
        self.curMode = ''
        self.boardIONum = ''
        self.input_n = ''
        self.output_n = ''
        self.axisNum = ''
        self.axis_n = ''
        self.world_n = ''
        self.curAlarm = ''
        self.curCycle = ''
        self.lastCycle = ''
        self.machineName = ''
        self.curTorque_n = ''
        self.curSpeed_n = ''
        self.curAccount = ''
        self.origin = ''
        self.moldList = ''
        self.isMoving = ''
        self.M_n = ''
        #return





class DATAReply:
    def __init__(self):
        self.dsID = ''
        self.reqType = ''
        self.queryData = DataAddress()
        return


    def JsonToObject(self):
        return

class CMDRequest:
    def __init__(self):
        self.dsID = 'www.hc-system.com.HCRemoteCommand'
        self.reqType = 'command'
        self.cmdData = []
        return

class CMDReply:
    def __init__(self):
        self.dsID = 'www.hc-system.com.RemoteMonitor'
        self.reqType = 'command'
        self.cmdData = []
        return

class Instruction:
    def __init__(self):
        self.oneshot = 1
        self.action = 4 #4 自由路径 10 姿势直线 17 姿势曲线
        self.m0 = 0.0
        self.m1 = 0.0
        self.m2 = 0.0
        self.m3 = 0.0
        self.m4 = 0.0
        self.m5 = 0.0
        self.skStatus = '0x3F'
        self.speed =10
        self.delay = 0
        self.smooth = 0


class CMDInstructRequest:
    def __init__(self):
        self.dsID = 'www.hc-system.com.HCRemoteCommand'
        self.reqType = "AddRCC"
        self.emptyList = '1'
        self.instructions = []
        return


class CMDInstructReply:

    def __init__(self):
        self.dsID = 'www.hc-system.com.HCRemoteCommand'
        self.reqType = 'command'
        self.cmdReply = []
        return

